Name:          python-cffi
Version:       1.14.5
Release:       2mamba
Summary:       Foreign Function Interface for Python calling C code
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/cffi
Source:        https://pypi.debian.net/cffi/cffi-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.7.4
Requires:      python >= %python_version
Requires:      python-pycparser
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if "%?with_pyver"
%define pyver           %{with_pyver}
%define pyappend        py%{with_pyver}
%define __python        %(rpm --eval %{__python%{with_pyver}})
%define python_sitearch %(rpm --eval %{python%{with_pyver}_sitearch})
%define python_sitelib  %(rpm --eval %{python%{with_pyver}_sitelib})
%define python_inc      %(rpm --eval %{python%{with_pyver}_inc})
%define python_version  %(rpm --eval %{python%{with_pyver}_version})
%define python_provides %(rpm --eval %{python%{with_pyver}_provides})
%define python_requires %(rpm --eval %{python%{with_pyver}_requires})
%define py_requires     %(rpm --eval %{py%{with_pyver}_requires})

%package py%{pyver}
Group:         System/Libraries/Python
Summary:       %{summary}
Requires:      python-pycparser-%{?pyappend}
%py_requires

%description py%{pyver}
%{summary}.
%endif

%prep
%setup -q -n cffi-%{version}
%ifarch aarch64
# ???
%global __requires_exclude ^python3..dist.*$
%endif

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/cffi-%{version}-py*.egg-info
%{python_sitearch}/cffi-%{version}-py*.egg-info/*

%changelog
* Sun Mar 14 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.5-2mamba
- rebuilt with new python provides

* Sun Feb 21 2021 Automatic Build System <autodist@mambasoft.it> 1.14.5-1mamba
- automatic version update by autodist

* Wed Dec 02 2020 Automatic Build System <autodist@mambasoft.it> 1.14.4-1mamba
- automatic version update by autodist

* Mon Sep 21 2020 Automatic Build System <autodist@mambasoft.it> 1.14.3-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Tue Jul 28 2020 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Sat Apr 11 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.14.0-2mamba
- py3* packages: require python-pycparser-py3*

* Fri Feb 14 2020 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 1.13.2-1mamba
- automatic version update by autodist

* Tue Oct 22 2019 Automatic Build System <autodist@mambasoft.it> 1.13.0-1mamba
- automatic version update by autodist

* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.12.3-2mamba
- rebuilt with python3 3.7.4

* Sun Apr 21 2019 Automatic Build System <autodist@mambasoft.it> 1.12.3-1mamba
- automatic version update by autodist

* Wed Feb 27 2019 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Sat Feb 23 2019 Automatic Build System <autodist@mambasoft.it> 1.12.1-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 1.11.5-1mamba
- automatic version update by autodist

* Wed Jan 24 2018 Automatic Build System <autodist@mambasoft.it> 1.11.4-1mamba
- automatic version update by autodist

* Mon Oct 23 2017 Automatic Build System <autodist@mambasoft.it> 1.11.2-1mamba
- automatic version update by autodist

* Thu Mar 30 2017 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Thu Nov 24 2016 Automatic Build System <autodist@mambasoft.it> 1.9.1-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic update by autodist

* Mon Jun 27 2016 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Thu Jun 02 2016 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic version update by autodist

* Sun Jan 24 2016 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Tue Dec 22 2015 Automatic Build System <autodist@mambasoft.it> 1.4.2-1mamba
- automatic version update by autodist

* Fri Dec 18 2015 Automatic Build System <autodist@mambasoft.it> 1.4.1-1mamba
- automatic version update by autodist

* Sat Dec 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-2mamba
- require python-pycparser

* Thu Nov 19 2015 Automatic Build System <autodist@mambasoft.it> 1.3.1-1mamba
- automatic version update by autodist

* Thu Oct 22 2015 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sun Aug 23 2015 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- package created using the webbuild interface
